searchNodes=[{"doc":"","ref":"Atomize.html","title":"Atomize","type":"module"},{"doc":"","ref":"Atomize.html#keys_to_atoms/1","title":"Atomize.keys_to_atoms/1","type":"function"},{"doc":"","ref":"Atomize.html#reduce_keys_to_atoms/1","title":"Atomize.reduce_keys_to_atoms/1","type":"function"},{"doc":"","ref":"Debug.html","title":"Debug","type":"module"},{"doc":"","ref":"Debug.html#loop/0","title":"Debug.loop/0","type":"function"},{"doc":"","ref":"Debug.html#t/0","title":"Debug.t/0","type":"function"},{"doc":"Main API for the UrbitEx Package. Includes functions to initiate your Urbit session, subscribe to main event sources and set up logic to handle events.","ref":"UrbitEx.html","title":"UrbitEx","type":"module"},{"doc":"Fetches the state of a running Urbit Session. Returns a Session struct.","ref":"UrbitEx.html#get/1","title":"UrbitEx.get/1","type":"function"},{"doc":"Fetches the state of a channel, :main as default. Returns a Channel struct.","ref":"UrbitEx.html#getc/1","title":"UrbitEx.getc/1","type":"function"},{"doc":"Shuts down an Urbit Session and associated Eyre Channels. Returns true.","ref":"UrbitEx.html#kill/1","title":"UrbitEx.kill/1","type":"function"},{"doc":"Starts an Eyre channel subscribed to the same subscriptions as Landscape does. Returns a UrbitEx.Session struct.","ref":"UrbitEx.html#new_channel/1","title":"UrbitEx.new_channel/1","type":"function"},{"doc":"Reconnects to a running Urbit instance without logging in, provided you have stored a valid cookie from a previous session. Starts a Session GenServer. Takes a url string and a cookie string, and a boolean; if true, the Session is started as a linked process. Returns an {:ok, pid} tuple.Examplesiex&gt; {:ok, pid} = UrbitEx.reconnect(&quot;http://localhost:8080&quot;, &quot;urbauth-~sampel-planet-0v4...&quot;)","ref":"UrbitEx.html#reconnect/3","title":"UrbitEx.reconnect/3","type":"function"},{"doc":"Logs in to Urbit to an Urbit instance and starts an unlinked GenServer. Takes the url where your ship is running, the +code, and an optional name for the server (handy if you're running multiple ones).Examplesiex&gt; {:ok, pid} = UrbitEx.start(&quot;http://localhost:8080&quot;, &quot;sampel-dozzod-mirtyl-marzod&quot;)","ref":"UrbitEx.html#start/3","title":"UrbitEx.start/3","type":"function"},{"doc":"Logs in to Urbit to an Urbit instance and starts a linked GenServer. Takes the url where your ship is running, the +code, and an optional name for the server (handy if you're running multiple ones).Examplesiex&gt; {:ok, pid} = UrbitEx.start(&quot;http://localhost:8080&quot;, &quot;sampel-dozzod-mirtyl-marzod&quot;)","ref":"UrbitEx.html#start_link/3","title":"UrbitEx.start_link/3","type":"function"},{"doc":"Starts a new channel subscribed to herm, the virtual terminal. Returns a UrbitEx.Channel struct. You can pass that struct to the UrbitEx.Terminal module functions and interact with the terminal.","ref":"UrbitEx.html#terminal/0","title":"UrbitEx.terminal/0","type":"function"},{"doc":"Module with the base functions to start the Urbit Session. Other complex functionality found in other files in this folder.","ref":"UrbitEx.API.html","title":"UrbitEx.API","type":"module"},{"doc":"Sends an ack to Eyre for a given event. Takes a Session struct, a Channel struct and an event_id, string or integer. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.API.html#ack/3","title":"UrbitEx.API.ack/3","type":"function"},{"doc":"Closes an eyre channel. Takes a Session struct and a Channel struct. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.API.html#close_channel/2","title":"UrbitEx.API.close_channel/2","type":"function"},{"doc":"Evaluates Hoon code (equivalent to clicking the code button on a Landscape chat). Takes a Session struct and a string with hoon code. Returns a string with the result of the code evaluation.","ref":"UrbitEx.API.html#evaluate/2","title":"UrbitEx.API.evaluate/2","type":"function"},{"doc":"Fetches the last six characters of your base desk hash. Commonly known in Urbit as your &quot;base hash&quot;. It shows at the bottom left corner of Landscape as of Urbit OS 2.98.","ref":"UrbitEx.API.html#hash/1","title":"UrbitEx.API.hash/1","type":"function"},{"doc":"Logs in to Urbit. Takes a url url and a code string. Returns an {:ok, url, ship, cookie} tuple if login is successful, or a {:error, error} tuple if the url or the +code is wrong.","ref":"UrbitEx.API.html#login/2","title":"UrbitEx.API.login/2","type":"function"},{"doc":"Opens the Eyre channel with an empty Airlock request. Takes a Session struct and a Channel struct. Returns :ok","ref":"UrbitEx.API.html#open_channel/2","title":"UrbitEx.API.open_channel/2","type":"function"},{"doc":"","ref":"UrbitEx.API.html#restart_sse/2","title":"UrbitEx.API.restart_sse/2","type":"function"},{"doc":"Fetches the name of the ship running at a given URL. Takes a url string. Returns a string with the ship name or an error tuple.","ref":"UrbitEx.API.html#shipname/1","title":"UrbitEx.API.shipname/1","type":"function"},{"doc":"Starts Server-side Event Evenstream, called by UrbitEx.Server on start. Takes a Session struct and a Channel struct. Returns :ok.","ref":"UrbitEx.API.html#start_sse/2","title":"UrbitEx.API.start_sse/2","type":"function"},{"doc":"Subscribes to Gall apps pushing events to your ship. Events will be sent to the SSE feed. Takes a Session struct, a Channel struct and a list of subscriptions maps. A subscription map takes the shape of e.g.%{app: &quot;group-view&quot;, path: &quot;/all&quot;}. See the urbit_ex.ex file for more examples of valid subscriptions. Returns a Session struct.","ref":"UrbitEx.API.html#subscribe/3","title":"UrbitEx.API.subscribe/3","type":"function"},{"doc":"Adds necessary metadata to PUT requests sent to Airlock. Keeps track of requests to increment request id and acks server-side events received, following Landscape practice. Takes a Session struct, a Channel struct and a list of request bodies for the PUT request. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.API.html#wrap_put/3","title":"UrbitEx.API.wrap_put/3","type":"function"},{"doc":"","ref":"UrbitEx.API.Channels.html","title":"UrbitEx.API.Channels","type":"module"},{"doc":"","ref":"UrbitEx.API.Channels.html#restrict_writers/5","title":"UrbitEx.API.Channels.restrict_writers/5","type":"function"},{"doc":"","ref":"UrbitEx.API.Contacts.html","title":"UrbitEx.API.Contacts","type":"module"},{"doc":"","ref":"UrbitEx.API.Contacts.html#allowed/1","title":"UrbitEx.API.Contacts.allowed/1","type":"function"},{"doc":"","ref":"UrbitEx.API.Contacts.html#retrieve/3","title":"UrbitEx.API.Contacts.retrieve/3","type":"function"},{"doc":"Client API to interact with dm-hook, new implementation of direct messaging Fetch, send, accept and decline DMs.","ref":"UrbitEx.API.DM.html","title":"UrbitEx.API.DM","type":"module"},{"doc":"Accepts a Direct Message with a ship. Takes an UrbitEx.Session struct and an Urbit @p to invite.","ref":"UrbitEx.API.DM.html#accept/3","title":"UrbitEx.API.DM.accept/3","type":"function"},{"doc":"Declines a Direct Message with a ship. Takes an UrbitEx.Session struct and an Urbit @p to invite.","ref":"UrbitEx.API.DM.html#decline/3","title":"UrbitEx.API.DM.decline/3","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_children/6","title":"UrbitEx.API.DM.fetch_children/6","type":"function"},{"doc":"Fetch new DMs. Takes a Session struct, a target @p, and an optional options keyword list. For details check the api/gall/graph.ex module, DMs use the same endpoints.","ref":"UrbitEx.API.DM.html#fetch_newest/3","title":"UrbitEx.API.DM.fetch_newest/3","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_node/4","title":"UrbitEx.API.DM.fetch_node/4","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_older_than/4","title":"UrbitEx.API.DM.fetch_older_than/4","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_oldest/3","title":"UrbitEx.API.DM.fetch_oldest/3","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_subset/5","title":"UrbitEx.API.DM.fetch_subset/5","type":"function"},{"doc":"","ref":"UrbitEx.API.DM.html#fetch_younger_than/4","title":"UrbitEx.API.DM.fetch_younger_than/4","type":"function"},{"doc":"Starts a Direct Message with a ship. Takes an UrbitEx.Session struct and an Urbit @p to invite.","ref":"UrbitEx.API.DM.html#send/5","title":"UrbitEx.API.DM.send/5","type":"function"},{"doc":"Client API to interact with graphs on Urbit. Create channels, delete them, send messages, add posts, etc. All interaction with present Graph Store based applications is here.","ref":"UrbitEx.API.Graph.html","title":"UrbitEx.API.Graph","type":"module"},{"doc":"Adds a link to a Collection channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a text string and a url string. Triggers one graph-update event (the link itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_collection_link/4","title":"UrbitEx.API.Graph.add_collection_link/4","type":"function"},{"doc":"Adds a comment to a Notebook post or a Collection link. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string, a text string and an optional custom token list. See docs on add_post function above for notes on how custom token lists can be useful. Triggers one graph-update event (the comment itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_comment/5","title":"UrbitEx.API.Graph.add_comment/5","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#add_node/2","title":"UrbitEx.API.Graph.add_node/2","type":"function"},{"doc":"Adds a post to a Notebook channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a title string, a text string, and an optional custom list of token maps. Graph Store posts tokens can be text, mention, url, code or reference. In elixir a valid content list would look like [%{text: title}, %{url: &quot;https://urbitasia.com&quot;}, %{mention: &quot;~mirtyl-wacdec&quot;}] If no custom tokens are given, the function uses the default tokenizer used by Landscape. Landscape's notebook post tokenizer renders the first text map as the title, the second as the post body. A custom tokenizer can be used to format text for custom clients without need for a custom backend. Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_post/5","title":"UrbitEx.API.Graph.add_post/5","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#await_add_nodes/0","title":"UrbitEx.API.Graph.await_add_nodes/0","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#await_channel/0","title":"UrbitEx.API.Graph.await_channel/0","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#await_new_members/0","title":"UrbitEx.API.Graph.await_new_members/0","type":"function"},{"doc":"Creates a channel in a group. Takes an UrbitEx.Session struct an UrbitEx.Resource struct (for the group), a title string, a name string (lower ascii, no spaces), a description string, and a channel type atom (strings work too, it's all json anyway). As in group names, Landscape enforces title and name being similar, no real need for that. Types can be :chat for Chats, :publish for Notebooks or :link for Collections. Successful creation triggers one metadata-updateevent and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#create_group_channel/6","title":"UrbitEx.API.Graph.create_group_channel/6","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#create_open_channel/5","title":"UrbitEx.API.Graph.create_open_channel/5","type":"function"},{"doc":"Creates a private channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct (for the group), a title string, a name string (lower ascii, no spaces), a description string, a channel type atom (strings work too, it's all json anyway), and a list of invitees. As in group names, Landscape enforces title and name being similar, no real need for that. Types can be :chat for Chats, :publish for Notebooks or :link for Collections. Setting invitees at resource creation works unlike with groups. Note that private &quot;chat&quot; channels are in effect DMs and will show up as DMs in Landscape, although they will strangely if you don't follow Landscape naming (see below). Successful creation triggers one metadata-updateevent and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#create_private_channel/6","title":"UrbitEx.API.Graph.create_private_channel/6","type":"function"},{"doc":"Deletes a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one metadata-updateevent and one graph-update event. Unless it's a private channel then the metadata-update event is replaced by a group-update one (??). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#delete_channel/2","title":"UrbitEx.API.Graph.delete_channel/2","type":"function"},{"doc":"Deletes nodes in any channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct and list of index strings. Index strings must have a preceding slash, i.e. &quot;/170141184505071972989094238161226170368&quot; Revisable nodes (notebook posts and comments) must delete the revision container and the first child. Triggers one graph-update event. Eyre returns a 204 response.","ref":"UrbitEx.API.Graph.html#delete_nodes/4","title":"UrbitEx.API.Graph.delete_nodes/4","type":"function"},{"doc":"Disables the group feed in a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one metadata-update and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#disable_group_feed/2","title":"UrbitEx.API.Graph.disable_group_feed/2","type":"function"},{"doc":"Edits a comment in a Notebook or Link channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an UrbitEx.Node struct of the comment (the one you want to edit), a title string, a text string, and an optional custom list of token maps (see above). Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#edit_comment/5","title":"UrbitEx.API.Graph.edit_comment/5","type":"function"},{"doc":"Edits a post in a Notebook channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an UrbitEx.Node struct of the post you want to edit (the larger node, not the posts revision container node), a title string, a text string, and an optional custom list of token maps (see above). Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#edit_post/6","title":"UrbitEx.API.Graph.edit_post/6","type":"function"},{"doc":"Enables the group feed in a group. Takes an UrbitEx.Session struct an UrbitEx.Resource struct, and the permission setting. Can be &quot;host-feed&quot;, &quot;admin-feed&quot;, or &quot;&quot; (empty) to allow everyone to post on the feed. Triggers one metadata-update and one graph-update event. Validator for group feeds is graph-validator-post, cf: graph-validator-chat or graph-validator-publish. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#enable_group_feed/3","title":"UrbitEx.API.Graph.enable_group_feed/3","type":"function"},{"doc":"Checks if a node exists in a given channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct and a node index. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#exists?/3","title":"UrbitEx.API.Graph.exists?/3","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#fetch_archived_graph/2","title":"UrbitEx.API.Graph.fetch_archived_graph/2","type":"function"},{"doc":"Fetches children of a node. Takes a Session struct, a Resource struct, the parent index you want to scry, and optional start and end indexes if you want to specify a range for children to be fetched. Also takes an optional options keyword list (see above). If passed an empty parent_index it will scry the root node (i.e. the channel itself).","ref":"UrbitEx.API.Graph.html#fetch_children/6","title":"UrbitEx.API.Graph.fetch_children/6","type":"function"},{"doc":"Fetches the all channels which the ship is a member of. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a list of UrbitEx.Resource structs. You can convert the graph to a list with UrbitEx.Graph.to_list/1","ref":"UrbitEx.API.Graph.html#fetch_keys/1","title":"UrbitEx.API.Graph.fetch_keys/1","type":"function"},{"doc":"Fetches latest nodes from any channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, and an option keyword list. Option keys can be :count, with an integer value, for the number of nodes to be fetched (limits appears to be 999) and:replies, with a boolean value, to pass whether you want node replies to be included in the fetch. GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a graph (not a list!) of UrbitEx.Node structs, according to count requested. You can convert the graph to a list withUrbitEx.Graph.to_list/1`","ref":"UrbitEx.API.Graph.html#fetch_newest/3","title":"UrbitEx.API.Graph.fetch_newest/3","type":"function"},{"doc":"Fetches a single node from a channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a node index and an options keyword list (see above). GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_node/4","title":"UrbitEx.API.Graph.fetch_node/4","type":"function"},{"doc":"Fetches nodes from a channel which are older than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string (passed index can have a &quot;/&quot; or not, doesn't matter) and an options keyword list (see above). GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_older_than/4","title":"UrbitEx.API.Graph.fetch_older_than/4","type":"function"},{"doc":"Fetches oldest nodes from a channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, and an options keyword list (see above). GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_oldest/3","title":"UrbitEx.API.Graph.fetch_oldest/3","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#fetch_siblings/5","title":"UrbitEx.API.Graph.fetch_siblings/5","type":"function"},{"doc":"Fetches nodes from a channel which are older than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, two index strings, start and finish, and an options keyword list (see above). GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_subset/5","title":"UrbitEx.API.Graph.fetch_subset/5","type":"function"},{"doc":"Fetches tag queries. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Not sure what this is about.","ref":"UrbitEx.API.Graph.html#fetch_tag_queries/1","title":"UrbitEx.API.Graph.fetch_tag_queries/1","type":"function"},{"doc":"Fetches tags. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Not sure what this is about.","ref":"UrbitEx.API.Graph.html#fetch_tags/1","title":"UrbitEx.API.Graph.fetch_tags/1","type":"function"},{"doc":"Fetches the whole node graph from a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. This is the endpoint Landscape uses to render Notebooks and Collections. You can run it on a Chat but it'll timeout with big ones (over 999 nodes?). GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a graph (not a list!) of UrbitEx.Node structs, according to count requested. You can convert the graph to a list with UrbitEx.Graph.to_list/1","ref":"UrbitEx.API.Graph.html#fetch_whole_graph/2","title":"UrbitEx.API.Graph.fetch_whole_graph/2","type":"function"},{"doc":"Fetches nodes from a channel which are younger than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string (passed index can have a &quot;/&quot; or not, doesn't matter) and an options keyword list (see above). GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_younger_than/4","title":"UrbitEx.API.Graph.fetch_younger_than/4","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#increment_index/1","title":"UrbitEx.API.Graph.increment_index/1","type":"function"},{"doc":"Joins a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers two graph-update event, one with a list of keys and for add-graph. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#join_channel/2","title":"UrbitEx.API.Graph.join_channel/2","type":"function"},{"doc":"Leaves a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#leave_channel/2","title":"UrbitEx.API.Graph.leave_channel/2","type":"function"},{"doc":"Posts a message to a group feed. Alias of send_message/4.","ref":"UrbitEx.API.Graph.html#post_to_group_feed/4","title":"UrbitEx.API.Graph.post_to_group_feed/4","type":"function"},{"doc":"Posts a reply to a post in a feed channel. Takes a ession struct, a Resource struct, a message string, an index string of the node to reply to, and an optional custom list of token maps.","ref":"UrbitEx.API.Graph.html#reply_to_feed_post/5","title":"UrbitEx.API.Graph.reply_to_feed_post/5","type":"function"},{"doc":"Send message to a chat channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a message string, and an optional custom list of token maps. Graph Store posts tokens can be text, mention, url, code or reference. In elixir a valid content list would look like [%{text: title}, %{url: &quot;https://urbitasia.com&quot;}, %{mention: &quot;~mirtyl-wacdec&quot;}] If no custom tokens are given, the function uses the default tokenizer used by Landscape. A custom tokenizer can be used to format text for custom clients without need for a custom backend. Triggers one graph-update event (the message itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#send_message/4","title":"UrbitEx.API.Graph.send_message/4","type":"function"},{"doc":"Client API to interact with groups on Urbit. Create groups, delete them, join others, all interactions with groups is here.","ref":"UrbitEx.API.Groups.html","title":"UrbitEx.API.Groups","type":"module"},{"doc":"","ref":"UrbitEx.API.Groups.html#await_create/1","title":"UrbitEx.API.Groups.await_create/1","type":"function"},{"doc":"","ref":"UrbitEx.API.Groups.html#await_join/1","title":"UrbitEx.API.Groups.await_join/1","type":"function"},{"doc":"Ban ranks from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ranks to ban. Ranks are &quot;czar&quot;, &quot;duke&quot;, &quot;earl&quot;, &quot;king&quot;, and/or &quot;pawn&quot;, in order. Triggers one groupUpdate event. Eyre will return a 204 even if done on a private group (where bans are nonsensical).","ref":"UrbitEx.API.Groups.html#ban_ranks/4","title":"UrbitEx.API.Groups.ban_ranks/4","type":"function"},{"doc":"Ban ships from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ships to ban. Triggers one groupUpdate event. Eyre will return a 204 even if done on a private group (where bans are nonsensical).","ref":"UrbitEx.API.Groups.html#ban_ships/4","title":"UrbitEx.API.Groups.ban_ships/4","type":"function"},{"doc":"Alias of dismiss_join/3","ref":"UrbitEx.API.Groups.html#cancel_join/3","title":"UrbitEx.API.Groups.cancel_join/3","type":"function"},{"doc":"Creates an Urbit group. Takes an UrbitEx.Session struct, a name string, a description string, a type string (either &quot;open&quot; or &quot;invite&quot;, i.e open or private), an optional keyword list of options. Option keys are :banned_ranks (&quot;czar&quot;, &quot;duke&quot;, &quot;earl&quot;, &quot;king&quot;, and/or &quot;pawn&quot;), :banned_ships, or :invitees, for &quot;invite&quot; groups. All values must be lists of valid @ps. Landscape forces the name to be equal to the title (but ascii lower case, no spaces) but it can be different. If successful it triggers 1 metadata-update and 2 groupUpdate events. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#create/6","title":"UrbitEx.API.Groups.create/6","type":"function"},{"doc":"Deletes group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event and one metadata-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#delete/2","title":"UrbitEx.API.Groups.delete/2","type":"function"},{"doc":"Dismisses a pending or completed group join (those remain and are displayed as notifications on startup if not dismissed). Takes a Session struct, a Channel struct and a Resource struct.","ref":"UrbitEx.API.Groups.html#dismiss_join/3","title":"UrbitEx.API.Groups.dismiss_join/3","type":"function"},{"doc":"Invite ship to an Urbit Group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, a list of invitees and an invite message string. Triggers two group-update events. Invitees will get an invite-update event.","ref":"UrbitEx.API.Groups.html#invite/4","title":"UrbitEx.API.Groups.invite/4","type":"function"},{"doc":"Joins a public urbit group. Takes a Session struct, a Channel struct and a Resource struct of the group to join. Joining a group, if successful, triggers 4 group-view-update, 1 groupUpdate and 1 metadata-update SSE events. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#join/3","title":"UrbitEx.API.Groups.join/3","type":"function"},{"doc":"Kick ships from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ships to kick out. Triggers one groupUpdate event. Eyre returns a 204 even for bad grammar.","ref":"UrbitEx.API.Groups.html#kick/4","title":"UrbitEx.API.Groups.kick/4","type":"function"},{"doc":"Leaves an Urbit group. Takes an UrbitEx.Session struct and an UrbitEx.Resoure struct. Leaving a group triggers 4 metadata-update events and one groupUpdate SSE event. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#leave/2","title":"UrbitEx.API.Groups.leave/2","type":"function"},{"doc":"Make a group private. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#make_private/3","title":"UrbitEx.API.Groups.make_private/3","type":"function"},{"doc":"Make a group private. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#make_public/3","title":"UrbitEx.API.Groups.make_public/3","type":"function"},{"doc":"Client API to interact with invite-store on Urbit. Includes functions to accept and invite declines. Sending of invites depends of group-store or graph-store.","ref":"UrbitEx.API.Invite.html","title":"UrbitEx.API.Invite","type":"module"},{"doc":"","ref":"UrbitEx.API.Invite.html#accept/3","title":"UrbitEx.API.Invite.accept/3","type":"function"},{"doc":"","ref":"UrbitEx.API.Invite.html#decline/3","title":"UrbitEx.API.Invite.decline/3","type":"function"},{"doc":"","ref":"UrbitEx.API.Invite.html#f/2","title":"UrbitEx.API.Invite.f/2","type":"function"},{"doc":"Client API to interact with the metadata-store of your Urbit ship. Allows you to change the metadata of groups and channels you own or are admin of, as well as preview metadata of groups you don't belong to yet.","ref":"UrbitEx.API.Metadata.html","title":"UrbitEx.API.Metadata","type":"module"},{"doc":"","ref":"UrbitEx.API.Metadata.html#await_preview/0","title":"UrbitEx.API.Metadata.await_preview/0","type":"function"},{"doc":"Edits the Metadata of a group or channel. Takes a Session struct, a Channel struct, a group Resource struct, a channel Resource struct, a type (either :groups or :graph), the key to edit, and the value to set. Keys can be:title takes a stringdescription takes a stringcolor takes a hex code stringpicture takes a url stringvip applied to a group: &quot;member-metadata&quot; or &quot;&quot;vip applied to a group-feed : &quot;host-feed&quot; or &quot;admin-feed&quot; or &quot;&quot;vip applied to a notebook: &quot;reader-comments&quot; or &quot;&quot;preview true or false","ref":"UrbitEx.API.Metadata.html#edit/7","title":"UrbitEx.API.Metadata.edit/7","type":"function"},{"doc":"","ref":"UrbitEx.API.Metadata.html#preview/3","title":"UrbitEx.API.Metadata.preview/3","type":"function"},{"doc":"Client API to interact with hark-store, the notifications system of Urbit.","ref":"UrbitEx.API.Notifications.html","title":"UrbitEx.API.Notifications","type":"module"},{"doc":"Set Do Not Disturb option. When true, you won't receive notifications. Takes an UrbitEx.Session struct and a boolean.","ref":"UrbitEx.API.Notifications.html#do_not_disturb/3","title":"UrbitEx.API.Notifications.do_not_disturb/3","type":"function"},{"doc":"Fetches all notifications stored on your ship. Takes an UrbitEx.Session struct, a type atom (or string), which can be :archive or :inbox (for old and current notifications), an offset integer and a count integer. Returns a Timebox struct.","ref":"UrbitEx.API.Notifications.html#fetch/4","title":"UrbitEx.API.Notifications.fetch/4","type":"function"},{"doc":"Ignore a channel. When ignored, your ship won't track unread nodes from that channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct for the channel.","ref":"UrbitEx.API.Notifications.html#mute_channel/3","title":"UrbitEx.API.Notifications.mute_channel/3","type":"function"},{"doc":"Mark all nodes in a channel as read. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct for the group and another one for the channel.","ref":"UrbitEx.API.Notifications.html#read_channel/4","title":"UrbitEx.API.Notifications.read_channel/4","type":"function"},{"doc":"Mark a nodes and their children in a channel as read. This is used for notes and links, to set them and their children as read, together. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct for the group and another one for the channel. It also takes an index string of the target node and the type of channel it belongs, whether :publish or :link.","ref":"UrbitEx.API.Notifications.html#read_node/6","title":"UrbitEx.API.Notifications.read_node/6","type":"function"},{"doc":"Mark a nodes and their children in a channel as read. This is used for notes and links, to set them and their children as read, together. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct for the group and another one for the channel. It also takes an index string of the target node and the type of channel it belongs, whether :publish or :link.","ref":"UrbitEx.API.Notifications.html#read_whole_node/6","title":"UrbitEx.API.Notifications.read_whole_node/6","type":"function"},{"doc":"Unmute a channel. When unmuted, your ship will track unread nodes from that channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct for the channel.","ref":"UrbitEx.API.Notifications.html#unmute_channel/3","title":"UrbitEx.API.Notifications.unmute_channel/3","type":"function"},{"doc":"Set whether you want notifications when you are mentioned in a channel you are subscribed to. When false, you won't receive notifications. Takes an UrbitEx.Session struct and a boolean.","ref":"UrbitEx.API.Notifications.html#watch_mentions/3","title":"UrbitEx.API.Notifications.watch_mentions/3","type":"function"},{"doc":"Set whether you want notifications when a node you authored has received replies, e.g. a channel you host or a notebook post you wrote. When false, you won't receive notifications. Takes an UrbitEx.Session struct and a boolean.","ref":"UrbitEx.API.Notifications.html#watch_replies/3","title":"UrbitEx.API.Notifications.watch_replies/3","type":"function"},{"doc":"Client API to interact with the contacts-store of your Urbit Ship. Includes functions to change your Urbit profile.","ref":"UrbitEx.API.Profile.html","title":"UrbitEx.API.Profile","type":"module"},{"doc":"Adds a pinned group to your public profile. Takes a Session struct, a Channel struct, and a Resource struct of the group to apply.","ref":"UrbitEx.API.Profile.html#add_pinned_group/3","title":"UrbitEx.API.Profile.add_pinned_group/3","type":"function"},{"doc":"Sets your public as public or private. Takes a Session struct, a Channel struct, and a boolean, true for public.","ref":"UrbitEx.API.Profile.html#make_profile_public/3","title":"UrbitEx.API.Profile.make_profile_public/3","type":"function"},{"doc":"Sets your public status. Takes a Session struct, a Channel struct, and the string to apply.","ref":"UrbitEx.API.Profile.html#set_status/3","title":"UrbitEx.API.Profile.set_status/3","type":"function"},{"doc":"Sets your avatar picture. Takes a Session struct, a Channel struct, and a url string to apply.","ref":"UrbitEx.API.Profile.html#update_avatar/3","title":"UrbitEx.API.Profile.update_avatar/3","type":"function"},{"doc":"Sets your public bio. Takes a Session struct, a Channel struct, and the string to apply.","ref":"UrbitEx.API.Profile.html#update_bio/3","title":"UrbitEx.API.Profile.update_bio/3","type":"function"},{"doc":"Sets your cover picture. Takes a Session struct, a Channel struct, and a url string to apply.","ref":"UrbitEx.API.Profile.html#update_cover/3","title":"UrbitEx.API.Profile.update_cover/3","type":"function"},{"doc":"Sets your public nickname. Takes a Session struct, a Channel struct, and the string to apply.","ref":"UrbitEx.API.Profile.html#update_nickname/3","title":"UrbitEx.API.Profile.update_nickname/3","type":"function"},{"doc":"Sets your sigil color. Takes a Session struct, a Channel struct, and the color hex code string to apply.","ref":"UrbitEx.API.Profile.html#update_sigil_color/3","title":"UrbitEx.API.Profile.update_sigil_color/3","type":"function"},{"doc":"Client API to interact with settings on Urbit. Urbit settings-store is a simple key-value store with a simple API. There's &quot;buckets&quot; and &quot;entries&quot;. Entries have a value which can be an integer, a string or a list. Landscape has its own set of settings (background images, whether to show nicknames or render avatars, etc.) But you can store anything you want in there. This module provides functions to modify Landscape settings as well as insert or delete your own. This module also includes functions to interact with s3-store, the module to set up S3 buckets. s3-store precedede settings-store but it might be merged into it in the future.","ref":"UrbitEx.API.Settings.html","title":"UrbitEx.API.Settings","type":"module"},{"doc":"Adds your own category of setting to your Urbit settings-store. Takes an UrbitEx.Session struct and a name string for the &quot;bucket&quot;. Can be anything.","ref":"UrbitEx.API.Settings.html#add_custom_bucket/3","title":"UrbitEx.API.Settings.add_custom_bucket/3","type":"function"},{"doc":"Add your own setting to your Urbit settings-store under a given bucket. Takes an UrbitEx.Session struct, an entry string and a value. Values can be integers, strings or lists (of integers or strings). The setting stays there so you can read it later at your convenience and use it however you want.","ref":"UrbitEx.API.Settings.html#add_custom_entry/5","title":"UrbitEx.API.Settings.add_custom_entry/5","type":"function"},{"doc":"Add a bucket from your S3 server. Takes an UrbitEx.Session struct and an string for the bucket name.","ref":"UrbitEx.API.Settings.html#add_s3_bucket/3","title":"UrbitEx.API.Settings.add_s3_bucket/3","type":"function"},{"doc":"Fetches all settings in your ship's settings-store. Takes an UrbitEx.Session struct.","ref":"UrbitEx.API.Settings.html#fetch_all/1","title":"UrbitEx.API.Settings.fetch_all/1","type":"function"},{"doc":"Fetches the value of a given bucket in your settings-store. Takes an UrbitEx.Session struct and a bucket string.","ref":"UrbitEx.API.Settings.html#fetch_bucket/2","title":"UrbitEx.API.Settings.fetch_bucket/2","type":"function"},{"doc":"Fetches the value of a given entry of a given bucket in your settings-store. Takes an UrbitEx.Session struct, a bucket string and an entry string.","ref":"UrbitEx.API.Settings.html#fetch_entry/3","title":"UrbitEx.API.Settings.fetch_entry/3","type":"function"},{"doc":"Fetches the current configuration of the S3 server. Takes an UrbitEx.Session struct.","ref":"UrbitEx.API.Settings.html#fetch_s3_configuration/1","title":"UrbitEx.API.Settings.fetch_s3_configuration/1","type":"function"},{"doc":"Fetches the current credentials of the S3 server. Takes an UrbitEx.Session struct.","ref":"UrbitEx.API.Settings.html#fetch_s3_credentials/1","title":"UrbitEx.API.Settings.fetch_s3_credentials/1","type":"function"},{"doc":"Queries your settings-store to see if a given bucket exists. Returns a boolean. Takes an UrbitEx.Session struct and a bucket string.","ref":"UrbitEx.API.Settings.html#has_bucket?/2","title":"UrbitEx.API.Settings.has_bucket?/2","type":"function"},{"doc":"Queries your settings-store to see if a given entry of a given bucket exists. Returns a boolean. Takes an UrbitEx.Session struct, a bucket string and an entry string.","ref":"UrbitEx.API.Settings.html#has_entry?/3","title":"UrbitEx.API.Settings.has_entry?/3","type":"function"},{"doc":"Set to hide or not hide avatars on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#hide_avatars/3","title":"UrbitEx.API.Settings.hide_avatars/3","type":"function"},{"doc":"Set to hide or not hide the group tiles on Landscape. If you really really like the weather and clock tiles. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#hide_groups/3","title":"UrbitEx.API.Settings.hide_groups/3","type":"function"},{"doc":"Set to hide or not hide nicknames on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#hide_nicknames/3","title":"UrbitEx.API.Settings.hide_nicknames/3","type":"function"},{"doc":"Set to hide or not hide the counts of unread messages per group on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#hide_unreads/3","title":"UrbitEx.API.Settings.hide_unreads/3","type":"function"},{"doc":"Set to hide or not hide the utlity tiles (Weather, Clock, etc.) on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#hide_utilities/3","title":"UrbitEx.API.Settings.hide_utilities/3","type":"function"},{"doc":"Set whether to render a media player for audio on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#play_audio/3","title":"UrbitEx.API.Settings.play_audio/3","type":"function"},{"doc":"Set whether to render a media player for video on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#play_video/3","title":"UrbitEx.API.Settings.play_video/3","type":"function"},{"doc":"Removes custo background. Takes an UrbitEx.Session struct.","ref":"UrbitEx.API.Settings.html#remove_background/2","title":"UrbitEx.API.Settings.remove_background/2","type":"function"},{"doc":"Delete settings bucket. Takes an UrbitEx.Session struct, and a string for the bucket name you want to delete.","ref":"UrbitEx.API.Settings.html#remove_bucket/3","title":"UrbitEx.API.Settings.remove_bucket/3","type":"function"},{"doc":"Delete settings entry. Takes an UrbitEx.Session struct, a string for the bucket, and a string for the entry you want to delete.","ref":"UrbitEx.API.Settings.html#remove_entry/4","title":"UrbitEx.API.Settings.remove_entry/4","type":"function"},{"doc":"Remove an S3 bucket. Takes an UrbitEx.Session struct and an string for the bucket name.","ref":"UrbitEx.API.Settings.html#remove_s3_bucket/3","title":"UrbitEx.API.Settings.remove_s3_bucket/3","type":"function"},{"doc":"Set whether to render embedded content (Twitter links and other OEmbed content) on Landscape. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#render_embeds/3","title":"UrbitEx.API.Settings.render_embeds/3","type":"function"},{"doc":"Set to toggle whether to render images automatically on Landscape. If set to false only urls will render. This and the following settings are useful in order to avoid your browser IP address to leak to the server of the remote content. Takes an UrbitEx. Session struct and a boolean.","ref":"UrbitEx.API.Settings.html#render_images/3","title":"UrbitEx.API.Settings.render_images/3","type":"function"},{"doc":"Sets the Landscape background color. Takes an UrbitEx.Session struct and a color string. Color can be any css color string, Landscape appears to read it as is.","ref":"UrbitEx.API.Settings.html#set_background_color/3","title":"UrbitEx.API.Settings.set_background_color/3","type":"function"},{"doc":"Sets the Landscape background image. Takes an UrbitEx.Session struct and a url string.","ref":"UrbitEx.API.Settings.html#set_background_image/3","title":"UrbitEx.API.Settings.set_background_image/3","type":"function"},{"doc":"Set the default bucket to use for Urbit. Takes an UrbitEx.Session struct and an string for the bucket name.","ref":"UrbitEx.API.Settings.html#set_default_s3_bucket/3","title":"UrbitEx.API.Settings.set_default_s3_bucket/3","type":"function"},{"doc":"Set the access key (the login) of your S3 server. Takes an UrbitEx.Session struct and an string for the access key.","ref":"UrbitEx.API.Settings.html#set_s3_access_key/3","title":"UrbitEx.API.Settings.set_s3_access_key/3","type":"function"},{"doc":"Set the URL hosting your S3 server. Takes an UrbitEx.Session struct and an string for the endpoint.","ref":"UrbitEx.API.Settings.html#set_s3_endpoint/3","title":"UrbitEx.API.Settings.set_s3_endpoint/3","type":"function"},{"doc":"Set the secret key (the password) of your S3 server. Takes an UrbitEx.Session struct and an string for the password.","ref":"UrbitEx.API.Settings.html#set_s3_secret/3","title":"UrbitEx.API.Settings.set_s3_secret/3","type":"function"},{"doc":"Sets the Landscape theme. Takes an UrbitEx.Session struct and a theme string. Default theme is light, unless &quot;dark&quot; is specified.","ref":"UrbitEx.API.Settings.html#theme/3","title":"UrbitEx.API.Settings.theme/3","type":"function"},{"doc":"Module with functions to build json bodies to send to Airlock. One function per Eyre action: ack, subscribe, unsubscribe and poke. Scries are simple get requests, see every gall module for details.","ref":"UrbitEx.Actions.html","title":"UrbitEx.Actions","type":"module"},{"doc":"","ref":"UrbitEx.Actions.html#ack/1","title":"UrbitEx.Actions.ack/1","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#poke/4","title":"UrbitEx.Actions.poke/4","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#subscribe/3","title":"UrbitEx.Actions.subscribe/3","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#unsubscribe/1","title":"UrbitEx.Actions.unsubscribe/1","type":"function"},{"doc":"Module with functions to interact with Eyre. All HTTP requests sent to Urbit are in this module.","ref":"UrbitEx.Airlock.html","title":"UrbitEx.Airlock","type":"module"},{"doc":"","ref":"UrbitEx.Airlock.html#get/2","title":"UrbitEx.Airlock.get/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/2","title":"UrbitEx.Airlock.post/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/3","title":"UrbitEx.Airlock.post/3","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#put/4","title":"UrbitEx.Airlock.put/4","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#sse/4","title":"UrbitEx.Airlock.sse/4","type":"function"},{"doc":"GenServer module to open Eyre channels. Defines an UrbitEx.Channel struct to keep track of the channel state. Elixir processes can subscribe to channels to consume the events their propagate, either raw Eyre events or Eyre events parsed by UrbitEx.Reducer","ref":"UrbitEx.Channel.html","title":"UrbitEx.Channel","type":"module"},{"doc":"","ref":"UrbitEx.Channel.html#add_event/2","title":"UrbitEx.Channel.add_event/2","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#check_ack/0","title":"UrbitEx.Channel.check_ack/0","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#check_stream/0","title":"UrbitEx.Channel.check_stream/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"UrbitEx.Channel.html#child_spec/1","title":"UrbitEx.Channel.child_spec/1","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#connect/1","title":"UrbitEx.Channel.connect/1","type":"function"},{"doc":"Subscribes to a channel in order to receive the SSE events (after parsing by the UrbitEx default reducer) it publishes. Takes a pid or atom name of the channel to subscribe to, and the pid of the subscriber process.","ref":"UrbitEx.Channel.html#consume_feed/2","title":"UrbitEx.Channel.consume_feed/2","type":"function"},{"doc":"Subscribes to a raw Eyre SSE pipeline in order to receive the raw SSE events it publishes. Takes a pid or atom name of the channel to subscribe to, and the pid of the subscriber process.","ref":"UrbitEx.Channel.html#consume_raw/2","title":"UrbitEx.Channel.consume_raw/2","type":"function"},{"doc":"Fetches Channel state. Takes a pid or atom name of the channel to fetch. Returns a Channel struct, to be used in UrbitEx functions involving PUT requests.","ref":"UrbitEx.Channel.html#read/1","title":"UrbitEx.Channel.read/1","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#save_ack/2","title":"UrbitEx.Channel.save_ack/2","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#save_action/2","title":"UrbitEx.Channel.save_action/2","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#save_subscription/2","title":"UrbitEx.Channel.save_subscription/2","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#start/2","title":"UrbitEx.Channel.start/2","type":"function"},{"doc":"","ref":"UrbitEx.Channel.html#start_link/2","title":"UrbitEx.Channel.start_link/2","type":"function"},{"doc":"Deletes the subscription to a channel. No events will be received after calling this function. Takes a pid or atom name of the channel to subscribe from, and the pid of the subscriber process.","ref":"UrbitEx.Channel.html#wean/2","title":"UrbitEx.Channel.wean/2","type":"function"},{"doc":"Deletes the subscription to raw events. Takes a pid or atom name of the channel to unsubscribe from, and the pid of the subscriber process.","ref":"UrbitEx.Channel.html#wean_raw/2","title":"UrbitEx.Channel.wean_raw/2","type":"function"},{"doc":"","ref":"UrbitEx.Contact.html","title":"UrbitEx.Contact","type":"module"},{"doc":"","ref":"UrbitEx.Contact.html#new/2","title":"UrbitEx.Contact.new/2","type":"function"},{"doc":"","ref":"UrbitEx.Contact.html#to_list/1","title":"UrbitEx.Contact.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.ContactStore.html","title":"UrbitEx.ContactStore","type":"module"},{"doc":"","ref":"UrbitEx.ContactStore.html#edit_field/3","title":"UrbitEx.ContactStore.edit_field/3","type":"function"},{"doc":"","ref":"UrbitEx.ContactStore.html#retrieve/1","title":"UrbitEx.ContactStore.retrieve/1","type":"function"},{"doc":"","ref":"UrbitEx.ContactStore.html#share/1","title":"UrbitEx.ContactStore.share/1","type":"function"},{"doc":"","ref":"UrbitEx.Graph.html","title":"UrbitEx.Graph","type":"module"},{"doc":"","ref":"UrbitEx.Graph.html#do_weed/1","title":"UrbitEx.Graph.do_weed/1","type":"function"},{"doc":"","ref":"UrbitEx.Graph.html#to_list/1","title":"UrbitEx.Graph.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.Graph.html#weed/1","title":"UrbitEx.Graph.weed/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html","title":"UrbitEx.GraphStore","type":"module"},{"doc":"","ref":"UrbitEx.GraphStore.html#accept_invite/0","title":"UrbitEx.GraphStore.accept_invite/0","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_collection_link/4","title":"UrbitEx.GraphStore.add_collection_link/4","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_comment/5","title":"UrbitEx.GraphStore.add_comment/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_graph/2","title":"UrbitEx.GraphStore.add_graph/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_group/1","title":"UrbitEx.GraphStore.add_group/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_notebook_post/5","title":"UrbitEx.GraphStore.add_notebook_post/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#create_channel/8","title":"UrbitEx.GraphStore.create_channel/8","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#delete_channel/1","title":"UrbitEx.GraphStore.delete_channel/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#disable_group_feed/1","title":"UrbitEx.GraphStore.disable_group_feed/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#edit_comment/5","title":"UrbitEx.GraphStore.edit_comment/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#edit_post/6","title":"UrbitEx.GraphStore.edit_post/6","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#enable_group_feed/2","title":"UrbitEx.GraphStore.enable_group_feed/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#join_resource/1","title":"UrbitEx.GraphStore.join_resource/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#leave_channel/1","title":"UrbitEx.GraphStore.leave_channel/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#remove_node/2","title":"UrbitEx.GraphStore.remove_node/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#reply_to_feed_post/5","title":"UrbitEx.GraphStore.reply_to_feed_post/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#send_dm/4","title":"UrbitEx.GraphStore.send_dm/4","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#send_message/4","title":"UrbitEx.GraphStore.send_message/4","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html","title":"UrbitEx.GroupGraph","type":"module"},{"doc":"","ref":"UrbitEx.GroupGraph.html#from_map/2","title":"UrbitEx.GroupGraph.from_map/2","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html#init/1","title":"UrbitEx.GroupGraph.init/1","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html#new/2","title":"UrbitEx.GroupGraph.new/2","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html#to_list/1","title":"UrbitEx.GroupGraph.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html","title":"UrbitEx.GroupStore","type":"module"},{"doc":"","ref":"UrbitEx.GroupStore.html#add_tag/3","title":"UrbitEx.GroupStore.add_tag/3","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#ban/3","title":"UrbitEx.GroupStore.ban/3","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#cancel_join/1","title":"UrbitEx.GroupStore.cancel_join/1","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#change_policy/2","title":"UrbitEx.GroupStore.change_policy/2","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#create/5","title":"UrbitEx.GroupStore.create/5","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#delete/1","title":"UrbitEx.GroupStore.delete/1","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#invite/3","title":"UrbitEx.GroupStore.invite/3","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#kick/2","title":"UrbitEx.GroupStore.kick/2","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#leave/1","title":"UrbitEx.GroupStore.leave/1","type":"function"},{"doc":"","ref":"UrbitEx.GroupStore.html#remove_tag/3","title":"UrbitEx.GroupStore.remove_tag/3","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html","title":"UrbitEx.HarkStore","type":"module"},{"doc":"","ref":"UrbitEx.HarkStore.html#mark_channel_as_read/2","title":"UrbitEx.HarkStore.mark_channel_as_read/2","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#mark_group_as_read/1","title":"UrbitEx.HarkStore.mark_group_as_read/1","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#mark_node_as_read/4","title":"UrbitEx.HarkStore.mark_node_as_read/4","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#mark_whole_node_as_read/4","title":"UrbitEx.HarkStore.mark_whole_node_as_read/4","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#read_all/0","title":"UrbitEx.HarkStore.read_all/0","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#see/1","title":"UrbitEx.HarkStore.see/1","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#set_channel_notifications/2","title":"UrbitEx.HarkStore.set_channel_notifications/2","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#set_dnd/1","title":"UrbitEx.HarkStore.set_dnd/1","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#set_group_notifications/2","title":"UrbitEx.HarkStore.set_group_notifications/2","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#set_watch_mentions/1","title":"UrbitEx.HarkStore.set_watch_mentions/1","type":"function"},{"doc":"","ref":"UrbitEx.HarkStore.html#set_watch_replies/1","title":"UrbitEx.HarkStore.set_watch_replies/1","type":"function"},{"doc":"","ref":"UrbitEx.Herb.html","title":"UrbitEx.Herb","type":"module"},{"doc":"","ref":"UrbitEx.Herb.html#run/2","title":"UrbitEx.Herb.run/2","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html","title":"UrbitEx.Invite","type":"module"},{"doc":"","ref":"UrbitEx.Invite.html#new/3","title":"UrbitEx.Invite.new/3","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html#new_incoming/1","title":"UrbitEx.Invite.new_incoming/1","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html#test/1","title":"UrbitEx.Invite.test/1","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html#to_list/2","title":"UrbitEx.Invite.to_list/2","type":"function"},{"doc":"","ref":"UrbitEx.InviteStore.html","title":"UrbitEx.InviteStore","type":"module"},{"doc":"","ref":"UrbitEx.InviteStore.html#accept_invite/2","title":"UrbitEx.InviteStore.accept_invite/2","type":"function"},{"doc":"","ref":"UrbitEx.InviteStore.html#decline_invite/2","title":"UrbitEx.InviteStore.decline_invite/2","type":"function"},{"doc":"","ref":"UrbitEx.Message.html","title":"UrbitEx.Message","type":"module"},{"doc":"","ref":"UrbitEx.Metadata.html","title":"UrbitEx.Metadata","type":"module"},{"doc":"","ref":"UrbitEx.Metadata.html#channels/1","title":"UrbitEx.Metadata.channels/1","type":"function"},{"doc":"","ref":"UrbitEx.Metadata.html#groups/1","title":"UrbitEx.Metadata.groups/1","type":"function"},{"doc":"","ref":"UrbitEx.Metadata.html#new/1","title":"UrbitEx.Metadata.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Metadata.html#own/1","title":"UrbitEx.Metadata.own/1","type":"function"},{"doc":"","ref":"UrbitEx.Metadata.html#process/1","title":"UrbitEx.Metadata.process/1","type":"function"},{"doc":"","ref":"UrbitEx.Metadata.html#to_list/1","title":"UrbitEx.Metadata.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.MetadataStore.html","title":"UrbitEx.MetadataStore","type":"module"},{"doc":"","ref":"UrbitEx.MetadataStore.html#edit/5","title":"UrbitEx.MetadataStore.edit/5","type":"function"},{"doc":"","ref":"UrbitEx.Node.html","title":"UrbitEx.Node","type":"module"},{"doc":"","ref":"UrbitEx.Node.html#new/2","title":"UrbitEx.Node.new/2","type":"function"},{"doc":"","ref":"UrbitEx.Notification.html","title":"UrbitEx.Notification","type":"module"},{"doc":"","ref":"UrbitEx.Notification.html#groupnote/1","title":"UrbitEx.Notification.groupnote/1","type":"function"},{"doc":"","ref":"UrbitEx.Notification.html#new/1","title":"UrbitEx.Notification.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Notification.html#proper_merge/2","title":"UrbitEx.Notification.proper_merge/2","type":"function"},{"doc":"","ref":"UrbitEx.Notification.html#to_graph/1","title":"UrbitEx.Notification.to_graph/1","type":"function"},{"doc":"","ref":"UrbitEx.Post.html","title":"UrbitEx.Post","type":"module"},{"doc":"","ref":"UrbitEx.Post.html#new/1","title":"UrbitEx.Post.new/1","type":"function"},{"doc":"Module containing the default functions to handle SSE events sent from the Urbit ship. Some events are sent to the Session process to keep the state of the session, e.g. lists of groups, channels, unreads, notifications, etc. All events are sent to subscribers of the channel calling this reducer module, either in parsed or raw form.","ref":"UrbitEx.Reducer.html","title":"UrbitEx.Reducer","type":"module"},{"doc":"Single public function of the module, called by the Channel process. It keeps track of sse and action id, sends errors to the channel subscribes, and most importantly parses and routes json events to use in client apps using this library.","ref":"UrbitEx.Reducer.html#default_reducer/1","title":"UrbitEx.Reducer.default_reducer/1","type":"function"},{"doc":"","ref":"UrbitEx.Reference.html","title":"UrbitEx.Reference","type":"module"},{"doc":"","ref":"UrbitEx.Reference.html#new/1","title":"UrbitEx.Reference.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Resource.html","title":"UrbitEx.Resource","type":"module"},{"doc":"","ref":"UrbitEx.Resource.html#from_url/1","title":"UrbitEx.Resource.from_url/1","type":"function"},{"doc":"","ref":"UrbitEx.Resource.html#new/2","title":"UrbitEx.Resource.new/2","type":"function"},{"doc":"","ref":"UrbitEx.Resource.html#to_url/1","title":"UrbitEx.Resource.to_url/1","type":"function"},{"doc":"","ref":"UrbitEx.Resource.html#validate_ship/1","title":"UrbitEx.Resource.validate_ship/1","type":"function"},{"doc":"","ref":"UrbitEx.S3Config.html","title":"UrbitEx.S3Config","type":"module"},{"doc":"","ref":"UrbitEx.SSEMsg.html","title":"UrbitEx.SSEMsg","type":"module"},{"doc":"GenServer to keep state of an Urbit Session. Creates a struct keeping track of global data, and client functions to add and remove channels.","ref":"UrbitEx.Session.html","title":"UrbitEx.Session","type":"module"},{"doc":"","ref":"UrbitEx.Session.html#add/3","title":"UrbitEx.Session.add/3","type":"function"},{"doc":"Creates an eyre channel and attackes it to the session Takes a keyword list with three optional keys: :name to give the new channel, :parent, name or pid of the parent session, and :keep_state, a boolean to determine whether the channel should send events for automatic state-keeping by the parent session. Takes a pid or atom name of the server to reset, an url string and a cookie string.","ref":"UrbitEx.Session.html#add_channel/1","title":"UrbitEx.Session.add_channel/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"UrbitEx.Session.html#child_spec/1","title":"UrbitEx.Session.child_spec/1","type":"function"},{"doc":"Closes an open eyre channel. Takes a pid or atom name of the parent session, and atom name or pid of the channel to close. Returns :ok","ref":"UrbitEx.Session.html#close_channel/2","title":"UrbitEx.Session.close_channel/2","type":"function"},{"doc":"Returns the state of the Session. Takes a pid or atom name of the Session process. Aliased as UrbitEx.get.","ref":"UrbitEx.Session.html#read/1","title":"UrbitEx.Session.read/1","type":"function"},{"doc":"Resets state with a new url and cookie. Takes a pid or atom name of the server to reset, an url string and a cookie string.","ref":"UrbitEx.Session.html#reconnect/3","title":"UrbitEx.Session.reconnect/3","type":"function"},{"doc":"","ref":"UrbitEx.Session.html#save_contacts/2","title":"UrbitEx.Session.save_contacts/2","type":"function"},{"doc":"","ref":"UrbitEx.Session.html#set_value/3","title":"UrbitEx.Session.set_value/3","type":"function"},{"doc":"Starts the GenServer as an unlinked process. Takes a keyword list with initialization options, and an atom to name the process.","ref":"UrbitEx.Session.html#start/2","title":"UrbitEx.Session.start/2","type":"function"},{"doc":"Starts the GenServer as a linked process. Takes a keyword list with initialization options, and an atom to name the process.","ref":"UrbitEx.Session.html#start_link/2","title":"UrbitEx.Session.start_link/2","type":"function"},{"doc":"","ref":"UrbitEx.SettingsStore.html","title":"UrbitEx.SettingsStore","type":"module"},{"doc":"","ref":"UrbitEx.SettingsStore.html#del_bucket/1","title":"UrbitEx.SettingsStore.del_bucket/1","type":"function"},{"doc":"","ref":"UrbitEx.SettingsStore.html#del_entry/2","title":"UrbitEx.SettingsStore.del_entry/2","type":"function"},{"doc":"","ref":"UrbitEx.SettingsStore.html#put_bucket/1","title":"UrbitEx.SettingsStore.put_bucket/1","type":"function"},{"doc":"","ref":"UrbitEx.SettingsStore.html#put_entry/3","title":"UrbitEx.SettingsStore.put_entry/3","type":"function"},{"doc":"","ref":"UrbitEx.SettingsStore.html#s3/2","title":"UrbitEx.SettingsStore.s3/2","type":"function"},{"doc":"","ref":"UrbitEx.Tag.html","title":"UrbitEx.Tag","type":"module"},{"doc":"","ref":"UrbitEx.Tag.html#new/1","title":"UrbitEx.Tag.new/1","type":"function"},{"doc":"Module with functions to interact with herm, the Urbit virtual terminal. Subscription to herm will trigger an SSE pipeline outputting the return of every statement. Error messages are not shown in that channel, instead there is a separate SSE pipeline called slog. You can access that by running the slog/1 function.","ref":"UrbitEx.Terminal.html","title":"UrbitEx.Terminal","type":"module"},{"doc":"Send an arrow keystroke to the terminal. Takes a Session Struct, a Channel struct and the arrow to send, in atom form (:up, :down, :left or :right) Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#arrow/3","title":"UrbitEx.Terminal.arrow/3","type":"function"},{"doc":"Send a backspace to the terminal. Takes a Session Struct and a Channel struct. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#backspace/2","title":"UrbitEx.Terminal.backspace/2","type":"function"},{"doc":"Send a delete keystroke (deleting the key next to the cursor) to the terminal. Takes a Session Struct and a Channel struct. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#delete/2","title":"UrbitEx.Terminal.delete/2","type":"function"},{"doc":"Sends a |hi to an Urbit ship. Useful command to troubleshoot network connections (akin to ping in Unix). Takes a Session Struct, a Channel struct and the Urbit @p to ping. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#hi/3","title":"UrbitEx.Terminal.hi/3","type":"function"},{"doc":"Send an keystroke with the &quot;control&quot; key pressed, to the terminal. Takes a Session Struct, a Channel struct and the key to send. For what it's worth, a tab is equivalent to CTRL+ &quot;i&quot;. It gives a lists of functions in the hoon standard library. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#mod/3","title":"UrbitEx.Terminal.mod/3","type":"function"},{"doc":"Send an enter key stroke to the terminal, running the command in the prompt. Takes a Session Struct and a Channel struct. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#return/2","title":"UrbitEx.Terminal.return/2","type":"function"},{"doc":"Sends a string to the terminal. Note this only types the string in, it does not enter the command. Takes a Session Struct, a Channel struct and the string to send. Returns an {:ok, %HTTPoison.Response{}} tuple.","ref":"UrbitEx.Terminal.html#send_string/3","title":"UrbitEx.Terminal.send_string/3","type":"function"},{"doc":"Opens a SSE pipeline to receive unprompted Terminal logs and error messages.","ref":"UrbitEx.Terminal.html#slog/1","title":"UrbitEx.Terminal.slog/1","type":"function"},{"doc":"Subscribes to herm in order to receive SSE events from it. Takes a Session struct and a Channel struct. Returns :ok","ref":"UrbitEx.Terminal.html#subscribe/2","title":"UrbitEx.Terminal.subscribe/2","type":"function"},{"doc":"","ref":"UrbitEx.Timebox.html","title":"UrbitEx.Timebox","type":"module"},{"doc":"","ref":"UrbitEx.Timebox.html#new/1","title":"UrbitEx.Timebox.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Unread.html","title":"UrbitEx.Unread","type":"module"},{"doc":"","ref":"UrbitEx.Unread.html#new/1","title":"UrbitEx.Unread.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Unread.html#newcount/3","title":"UrbitEx.Unread.newcount/3","type":"function"},{"doc":"","ref":"UrbitEx.Unread.html#neweach/3","title":"UrbitEx.Unread.neweach/3","type":"function"},{"doc":"Utils module with some useful functions, such as a tokenizer for graph store, regex for urls and @ps, etc.","ref":"UrbitEx.Utils.html","title":"UrbitEx.Utils","type":"module"},{"doc":"Abbreviates comet and moon names following Landscape practice. Takes a string. Returns a string.","ref":"UrbitEx.Utils.html#abbreviate_patp/1","title":"UrbitEx.Utils.abbreviate_patp/1","type":"function"},{"doc":"Adds tilde to an Urbit ship name if it lacks one. Takes a string. Returns a string.","ref":"UrbitEx.Utils.html#add_tilde/1","title":"UrbitEx.Utils.add_tilde/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#break_index/1","title":"UrbitEx.Utils.break_index/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#calculate_index/1","title":"UrbitEx.Utils.calculate_index/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#channel_name/1","title":"UrbitEx.Utils.channel_name/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#da_to_date/1","title":"UrbitEx.Utils.da_to_date/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#date_to_da/1","title":"UrbitEx.Utils.date_to_da/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract/2","title":"UrbitEx.Utils.extract/2","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract2/3","title":"UrbitEx.Utils.extract2/3","type":"function"},{"doc":"Eyre endpoints which return a boolean are rather weird. Instead of returning true or false, they return a 200 with null body if true, or a 500 if false. See API.Graph.exists? or API.Settings.has_bucket? and others.","ref":"UrbitEx.Utils.html#eyre_boolean?/1","title":"UrbitEx.Utils.eyre_boolean?/1","type":"function"},{"doc":"Produces an Urbit permalink as used by Landscape. Takes a group Resource struct, a channel Resource struct, and an index string. Returns an Urbit web+urbitgraph permalink.","ref":"UrbitEx.Utils.html#get_permalink/3","title":"UrbitEx.Utils.get_permalink/3","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#group_name/1","title":"UrbitEx.Utils.group_name/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#hex/2","title":"UrbitEx.Utils.hex/2","type":"function"},{"doc":"Breaks an integer into a string resembling the hoon @ud type (long integer with a period every three digits, e.g. &quot;170.123.456&quot;) Takes an integer, returns a string.","ref":"UrbitEx.Utils.html#int_to_ud/1","title":"UrbitEx.Utils.int_to_ud/1","type":"function"},{"doc":"Checks whether the passed ship name belongs to a comet. Takes a string, returns :ok if not a comet, :gtfo if a comet.","ref":"UrbitEx.Utils.html#no_comets/1","title":"UrbitEx.Utils.no_comets/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#parse_full_da/1","title":"UrbitEx.Utils.parse_full_da/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#parse_index/1","title":"UrbitEx.Utils.parse_index/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#parse_partial_da/1","title":"UrbitEx.Utils.parse_partial_da/1","type":"function"},{"doc":"Produces a reference map as used by graph store from a permalink string. Takes a permalink string. Returns a reference map.","ref":"UrbitEx.Utils.html#parse_permalink/1","title":"UrbitEx.Utils.parse_permalink/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#patp/1","title":"UrbitEx.Utils.patp/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#random_hex/1","title":"UrbitEx.Utils.random_hex/1","type":"function"},{"doc":"Removes tilde from an Urbit ship name if it has one. Takes a string. Returns a string.","ref":"UrbitEx.Utils.html#remove_tilde/1","title":"UrbitEx.Utils.remove_tilde/1","type":"function"},{"doc":"Returns the ship type given a ship name. Takes a string, returns an atom with the ship class.","ref":"UrbitEx.Utils.html#ship_type/1","title":"UrbitEx.Utils.ship_type/1","type":"function"},{"doc":"Takes a long string and breaks it up into tokens to be stored into graph-store. Graph-store tokens can be text, url, mention, reference or code. Returns a list of token maps to pass to any graph-store post function.","ref":"UrbitEx.Utils.html#tokenize/1","title":"UrbitEx.Utils.tokenize/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#validate_da/1","title":"UrbitEx.Utils.validate_da/1","type":"function"},{"doc":"Validates that a string is a valid Urbit shipname. It ignores tildes and other punctuation. Takes a string, returns a clean shipname if valid, false if invalid.","ref":"UrbitEx.Utils.html#validate_patp/1","title":"UrbitEx.Utils.validate_patp/1","type":"function"}]